Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class JavaBasePlugin

    java.lang.Object
      org.gradle.api.plugins.JavaBasePlugin

All Implemented Interfaces:
  Plugin<Project>

    public class JavaBasePlugin

extends Object
implements Plugin<Project>

A `Plugin` which compiles and tests Java source, and assembles it into a JAR file.

Field Summary
`static String` | `BUILD_DEPENDENTS_TASK_NAME`
`static String` | `BUILD_NEEDED_TASK_NAME`
`static String` | `BUILD_TASK_NAME`
`static String` | `CHECK_TASK_NAME`
`static String` | `DOCUMENTATION_GROUP`
`static String` | `VERIFICATION_GROUP`

Constructor Summary
`JavaBasePlugin()`

Method Summary
`void` | `apply(Project project)` Apply this plugin to the given target object.
`void` | `configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHECK_TASK_NAME

    public static final String CHECK_TASK_NAME

See Also:
  Constant Field Values

### BUILD_TASK_NAME

    public static final String BUILD_TASK_NAME

See Also:
  Constant Field Values

### BUILD_DEPENDENTS_TASK_NAME

    public static final String BUILD_DEPENDENTS_TASK_NAME

See Also:
  Constant Field Values

### BUILD_NEEDED_TASK_NAME

    public static final String BUILD_NEEDED_TASK_NAME

See Also:
  Constant Field Values

### VERIFICATION_GROUP

    public static final String VERIFICATION_GROUP

See Also:
  Constant Field Values

### DOCUMENTATION_GROUP

    public static final String DOCUMENTATION_GROUP

See Also:
  Constant Field Values

Constructor Detail

### JavaBasePlugin

    public JavaBasePlugin()

Method Detail

### apply

    public void apply(Project project)

  Description copied from interface: `Plugin`
  Apply this plugin to the given target object.

  Specified by:
    `apply` in interface `Plugin<Project>`
  Parameters:
    `project` - The target object

### configureForSourceSet

    public void configureForSourceSet(SourceSet sourceSet,
                                      AbstractCompile compile)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD